game_level_hints.levels["Level01_02_S8"] = function()
	return 
    {
		miniscenes
		({
			level01_scene01_04 = -- крыльцо перед особняком
			{
				on_scene("level01_scene01_05", end_level("area_scene01_04")),
				on_scene("level01_miniscene_table", end_level("back_exit_table")),
				on_scene("level01_miniscene_hog01", end_level("exit_hog01")),
				on_scene("level01_scene01_07", end_level("Door_exit"))
			},
			level01_scene01_05 = -- полянка перед сторожкой
			{
				on_scene("level01_scene01_04", end_level("area_scene01_05")),
				on_scene("level01_scene01_06", end_level("area_scene01_05_02")),
				on_scene("level01_miniscene_door", end_level("back_exit_door")),
				on_scene("level01_miniscene_lake", end_level("back_exit_plunger")),
				on_scene("level01_miniscene_statue", end_level("back_exit_statue")),
				on_scene("level01_miniscene_secretdoor", end_level("back_exit_secretdoor")),
				on_scene("level01_miniscene_table_stone", end_level("back_exit_table_stone")),
				on_scene("level01_miniscene_pavilion", end_level("back_exit_pavilion"))
			},
			level01_scene01_06 = -- сторожка
			{
				IF(state("Door03", "door03_02"), on_scene("level01_scene01_05", end_level("Door03"))),
				on_scene("level01_miniscene_hog02", end_level("exit_hog02"))
			},
			level01_scene01_07 = -- комната в особняке
			{
				on_scene("level01_miniscene_secretdoor", end_level("area_scene01_05_secretdoor")),
				IF(state("Secret_door", "secret_door02"), on_scene("level01_scene01_05", end_level("Secret_door"))),
				IF(state("Door_exit","door_exit02"), on_scene("level01_scene01_04", end_level("door01"))),
				IF(state("Door_exit","door_exit02"), on_scene("level01_scene01_04", end_level("Door01_handle")))
			},
			
			level01_miniscene_hog01 = -- в кустах на сцене 01_04
			{
				IF(state("Bush_hog", "bush_hog01_01"), on_scene("level01_scene01_04", miniscene("Bush_hog"))),
				IF(state("Bush_hog", "bush_hog01_03"), on_scene("level01_scene01_04", miniscene("Bush_hog")))
			},
			
			level01_miniscene_hog02 = -- в лодке на сцене 01_06
			{
				on_scene("level01_scene01_06", miniscene("boad_hint")),
			},
			
			level01_miniscene_projector = -- проектор в особняке
			{
				on_scene("level01_scene01_07", miniscene("Projector"))
			},
			level01_miniscene_statue = -- статуя копьеносца
			{
				IF(NOT(hidden("pano01")), on_scene("level01_scene01_05", miniscene("pano01")))
			},
			level01_miniscene_secretdoor = -- секретная дверь в особняк
			{
				IF(state("Venus", "venus01"), on_scene("level01_scene01_05", click("Venus", "Venus_hand01")))
			},
			level01_miniscene_table_stone = -- плита в земле
			{
				IF(state("Ground", "ground02"), on_scene("level01_scene01_05", miniscene("Ground")))
			},
			level01_miniscene_table = -- табличка с номером дома
			{
				on_scene("level01_scene01_04", miniscene("Table01"))
			},
			level01_miniscene_lake = -- озеро
			{
				on_scene("level01_scene01_05", miniscene("area_lake"))
			},
			level01_miniscene_door = -- дверь в сторожку
			{
				IF(state("Door03", "door03_01"), on_scene("level01_scene01_05", miniscene("Door03")))
			},
			level01_miniscene_electricity = -- электрический щиток  в сторожке
			{
				on_scene("level01_scene01_06", miniscene("Electricity"))
			},
			level01_miniscene_pavilion =
			{
				on_scene("level01_scene01_05", miniscene("pavilion01"))
			}
		}),
		
		-- хинты событий
		on_scene("level01_scene01_04", 
		{
			take("Crow_bar") -- взяли монтировку
		}),
		on_scene("level01_miniscene_door", -- открываем дверь в сторожку
		{			 
			IF(state("Board02","board02_01"), click("Board02", "Crow_bar")), --отрываем доску
			IF(state("Board03","board03_01"), click("Board03", "Crow_bar")),
			IF(state("Board01","board01_01"), click("Board01", "Crow_bar"))
		}),
		on_scene("level01_miniscene_hog01", take("Net")), -- взяли сачок
		on_scene("level01_miniscene_lake", IF(on_level("Key01"), click("Key01", "Net"))), -- взяли ключ сачком
		on_scene("level01_miniscene_door", -- открываем дверь в сторожку
		{			 
			IF({ state("Board01","board01_02"), state("Board02","board02_02"), state("Board03","board03_02") }, click("area_lock01", "Key01")) -- применяем ключ
		}),
		on_scene("level01_miniscene_electricity", -- открываем электрический щиток в сторожке
		{
			IF(state("Lock", "lock01"), click("Lock")),
			IF({ state("Doors_electricity", "doors_electricity01"), state("Gears", "gears01") }, click("Doors_electricity"))
		}),
		on_scene("level01_scene01_06", -- берем шестеренку в сторожке
		{
			IF({ disabled("Gear"), state("Hat", "hat01") }, click("Hat")),
			take("Gear")
		}),
		on_scene("level01_miniscene_electricity", -- чиним электрический щиток в сторожке
		{
			IF(state("Gears", "gears01"), click("area_pin01", "Gear")),
			IF({on_level("Gear01"), NOT(hidden("Gear01")) }, take("Gear01")),
			IF(state("Gears", "gears01"), click("area_pin01", "Gear01"))
		}),
		on_scene("level01_miniscene_hog02", take("Spade01")), -- взяли лопату
		on_scene("level01_scene01_05", IF(state("Ground","ground01"), click("Ground", "Spade01"))), -- выкапываем яму
		on_scene("level01_scene01_05", IF({ state("Ground","ground02"), state("Flag_panel_view", "flag_panel_view01") }, miniscene("Ground"))), -- посмотрели плиту в земле
		on_scene("level01_miniscene_hog01", take("Handkerchief01")), -- взяли платок
		on_scene("level01_scene01_05", IF({ in_inv("Handkerchief01"), state("Stone_panel", "stone_panel01") }, click("fountain01", "Handkerchief01"))), -- намочили платок
		on_scene("level01_scene01_05", IF({ in_inv("Handkerchief01"), state("Stone_panel", "stone_panel01") }, click("area_lake", "Handkerchief01"))), -- намочили платок
		on_scene("level01_miniscene_lake", IF({ in_inv("Handkerchief01"), state("Stone_panel", "stone_panel01") }, click("area_lake01", "Handkerchief01"))), -- намочили платок
		on_scene("level01_miniscene_table", IF({ hidden("table02_02"), in_inv("handkerchief02"), state("Stone_panel", "stone_panel01") }, click("table02_01", "handkerchief02"))), -- очистили табличку от грязи
		on_scene("level01_scene01_05",
		{
			IF({ state("Spearhead", "spearhead01"), state("Stone_panel", "stone_panel01") }, minigame("Statue01")), -- прошли игру с вводом пароля на статуе
			IF({ state("Flag_pano","flag_pano01"), state("Stone_panel", "stone_panel01") }, miniscene("pano01")) -- посмотрели панно с цветныим картинками			
		}),
		on_scene("level01_miniscene_table_stone", 
		{
			IF({ hidden("Bobbin_case"), state("Flag_pano","flag_pano02") }, click("Stone_panel")),
			IF(state("Bobbin_case", "bobbin_case01"), click("Bobbin_case")), -- открыли коробку с плёнкой
			IF(state("Bobbin_case", "bobbin_case02"), take("Bobbin01")), -- взяли плёнку
			take("Key_boad") -- взяли ключ
		}),
		on_scene("level01_miniscene_hog02",
		{
			click("Door_boad","Key_boad"), -- открыли бардачок
			IF({ state("Door_boad", "door_boad02"), on_level("Venus_hand01") }, click("Door_boad")), -- открыли бардачок
			take("Venus_hand01") -- взяли руку Венеры
		}), 
		on_scene("level01_miniscene_projector", -- вставляем плёнку в проектор
		{
			IF({ state("Project_door" , "project_door01"), state("Film_holder" , "film_holder01") }, click("Project_door")),
			click("area_bobbin", "Bobbin01")
		})
	}
end 